mob/player/client
	var/tmp
		list/hud_score = new/list()
		list/hud_high_score = new/list()
		last_score = -1
		last_hi_score = -1
		last_hp = -1
		image/hp_bar = null
	proc
		create_hud()
			var/obj/huds/F = new/obj/huds
			F.name = "Health"
			F.screen_loc = "1:7,15:-2"
			var/image/B = image(src.ini_hbicon, F, "10", 200)
			src.hp_bar = B
			src << src.hp_bar
			src.client.screen += F

			src.add_hud_letters("1", "-1", "1", "10", "Score")
			var/obj/huds/F2 = new/obj/huds
			F2.name = "Score"
			F2.screen_loc = "1:-1,1:2"
			for(var/c = 1, c <= 5, c ++)
				var/image/I = image('icons/num_hud.dmi', F2, "", 200)
				I.pixel_x = (7 * c)
				I.pixel_y = 0
				src << I
				src.hud_score += I
			src.client.screen += F2

			src.add_hud_letters("12", "5", "1", "10", "H-Score")
			var/obj/huds/F3 = new/obj/huds
			F3.name = "High-Score"
			F3.screen_loc = "13:-4,1:2"
			for(var/c = 1, c <= 5, c ++)
				var/image/I = image('icons/num_hud.dmi', F3, "", 200)
				I.pixel_x = (7 * c)
				I.pixel_y = 0
				src << I
				src.hud_high_score += I
			src.client.screen += F3
		add_hud_letters(var/x, var/xx, var/y, var/yy, var/text = "")
			if(!text) return
			text = lowertext(text)
			var/obj/huds/F = new/obj/huds
			F.name = "[text]"
			F.screen_loc = "[x]:[xx],[y]:[yy]"
			for(var/i = 1, i <= length(text), i ++)
				var/image/I = image('icons/text_hud.dmi', F, "", 200)
				I.icon_state = "[copytext(text, i,(i + 1))]"
				I.pixel_x = (7 * i)
				I.pixel_y = 0
				src << I
			src.client.screen += F

obj/huds
	layer = MOB_LAYER + 99