mob/player/client
	verb
		fire_projectile()
			set category = null
			if(src.gamein)
				if(src.weapon)
					if(!src.escape_hit)
						if(!src.wait_delay)
							src.wait_delay = 1
							var/items/weapons/W = src.weapon
							spawn(W.fr) src.wait_delay = 0
							var/obj/projectiles/O = garbage.Grab(W.projectile)
							if(O)
								O.dir = src.dir
								O.owner = src
								O.loc = src.loc
								O.step_x = src.step_x
								O.step_y = src.step_y
								spawn() O.DE_L()
		say(t as text)
			set category = null
			t = html_encode(t)
			t = copytext(t,1,500)
			if(!length(t)) return
			var/msg = "<b>[src.key]:</b> [t]"
			world << output("[msg]", "chat_output")
		respawn()
			set category = null
			if(src.is_dead)
				src.hp = src.maxhp
				src.density = 1
				if(!src.weapon) src.icon_state = "normal"
				else src.icon_state = "[src.weapon.i_state]"
				src.is_dead = 0
				src.gamein = 1
				src.score = 0
		rgb_interface()
			set category = null
			var/{r = round(text2num(winget(src, "rgbr", "value"))/100*255, 10);g = round(text2num(winget(src, "rgbg", "value"))/100*255, 10);b = round(text2num(winget(src, "rgbb", "value"))/100*255, 10)}
			var/{color_1r = r;color_1g = g;color_1b = b}
			var/{color_2r = r;color_2g = g;color_2b = b}
			if(color_1r > 175) color_1r = 175
			if(color_1g > 175) color_1g = 175
			if(color_1b > 175) color_1b = 175
			var/icon/I = new('icons/zeke.dmi')
			I.SwapColor(rgb(1,1,1), rgb(color_1r, color_1g, color_1b))
			I.SwapColor(rgb(31,31,31), rgb(color_2r, color_2g, color_2b))
			var/icon/B = new('icons/health_bar.dmi')
			B.SwapColor(rgb(1,1,1), rgb(color_1r, color_1g, color_1b))
			B.SwapColor(rgb(31,31,31), rgb(color_2r, color_2g, color_2b))
			winset(src, "rgb_icon","background-color=[rgb(r, g, b)]")
			src.ini_icon = I
			src.ini_hbicon = B
			if(src.hp_bar) src.hp_bar.icon = src.ini_hbicon
			src.icon = I


gm
	parent_type = /obj
	host
		verb
			spawn_zombies()
				set name = "Spawn Zombies"
				src.verbs -= /gm/host/verb/spawn_zombies
				var/list/L = block(locate(1,1,1),locate(world.maxx,world.maxy,1))
				for(var/turf/T in L)
					if(!T||T.density||!T.can_spawn) continue
					spawn_zone += T
				spawn() spawner(spawn_zone)
			world_shutdown()
				set name = "World Shutdown"
				world.Del()
			world_reboot()
				set name = "World Reboot"
				world.Reboot()